/*! @file

    @id $Id$
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

#include <openssl-compatibility.hxx>
#include <string>

namespace openssl {

  //==============================================================================
  //! @addtogroup opensslcompat
  //@{  
  /// Get OpenSSL runtime and buildtime version information
  /** To be displyed in an about box. It also shows mandatory license
      information. */
  std::string version() {
    std::string v
      ((std::string(OPENSSL_VERSION_TEXT)==SSLeay_version(SSLEAY_VERSION))
       ? SSLeay_version(SSLEAY_VERSION)
       : std::string(OPENSSL_VERSION_TEXT) + " (Buildtime)"
       + "\n  - Runtime: " + SSLeay_version(SSLEAY_VERSION));
    return v
      + "\n  - OpenSSL API "+SHLIB_VERSION_NUMBER+" compatible"
      + "\n  - " + SSLeay_version(SSLEAY_BUILT_ON)
      + "\n  - " + SSLeay_version(SSLEAY_PLATFORM)
      + "\n\n"
      "This product includes software developed by the OpenSSL Project"
      " for use in the OpenSSL Toolkit (http://www.openssl.org/)"
      "\n\n"
      "This product includes cryptographic software written by Eric Young"
      " (eay@cryptsoft.com)";
  }

}
