/*! @file

    @id $Id$
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

/*! @page mainoverview Overview of the Components

    @dot
    digraph g {
      compound=true;
      subgraph clustercard {
        label="Hardware-Token";
        token;
      }
      subgraph clustersystempcsc {
        label="System Library PCSC-Lite";
        pcscd;
        libpcsclite [shape=component];
      }
      subgraph clusteropenssl {
        label="OpenSSL Library";
        OpenSSL [shape=component];
      }
      subgraph clustermiddleware {
        label
        ="Middleware for Hardware Access\ndynamically loaded shared object";
        pkcs11 [label="libpkcs11.so\nlibcvP11.so\nlibcryptoki.so\n..."]
               [shape=component];
      }
      subgraph clusterlibpcscxx {
        label="C++ libpcscxx-Library";
        node [shape=component];
        pcsc [URL="\ref gpcsc"];
        cryptoki [URL="\ref gcryptoki"];
        cardos [URL="\ref gcardos"];
        suisseid [URL="\ref gsuisseid"];
        openssl [URL="\ref gopenssl"];
        crypto [URL="\ref gcrypto"];
        {rank=same pcsc; cryptoki; openssl; crypto;}
      }
      {rank=same OpenSSL; pkcs11;}
      {pkcs11; OpenSSL; pcsc;} -> libpcsclite [lhead=clustersystempcsc];
      libpcsclite -> pcscd;
      pcscd -> token [lhead=clustercard];
      cryptoki -> pkcs11 [lhead=clustermiddleware];
      cardos -> pcsc;
      suisseid -> cardos;
      suisseid -> cryptoki;
      openssl -> OpenSSL [lhead=clusteropenssl];
    }
    @enddot
*/
